Bug 1734152 - [abrt] gnome-control-center: passwd_authenticate(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: passwd_authenticate(): gnome-control-center kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1bd68287e0ed5a7983289b8cdd3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 18:49 UTC by Mohamed Baig
Modified: 2020-05-26 16:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:21:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (76.50 KB, text/plain)
2019-07-29 18:49 UTC, Mohamed Baig
no flags Details
File: cgroup (331 bytes, text/plain)
2019-07-29 18:49 UTC, Mohamed Baig
no flags Details
File: core_backtrace (26.90 KB, text/plain)
2019-07-29 18:49 UTC, Mohamed Baig
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-07-29 18:49 UTC, Mohamed Baig
no flags Details
File: dso_list (30.58 KB, text/plain)
2019-07-29 18:49 UTC, Mohamed Baig
no flags Details
File: environ (3.84 KB, text/plain)
2019-07-29 18:49 UTC, Mohamed Baig
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-29 18:49 UTC, Mohamed Baig
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-29 18:50 UTC, Mohamed Baig
no flags Details
File: maps (162.53 KB, text/plain)
2019-07-29 18:50 UTC, Mohamed Baig
no flags Details
File: mountinfo (3.82 KB, text/plain)
2019-07-29 18:50 UTC, Mohamed Baig
no flags Details
File: open_fds (4.18 KB, text/plain)
2019-07-29 18:50 UTC, Mohamed Baig
no flags Details
File: proc_pid_status (1.34 KB, text/plain)
2019-07-29 18:50 UTC, Mohamed Baig
no flags Details

Description Mohamed Baig 2019-07-29 18:49:51 UTC
Description of problem:
opened the change password window then pressed escape key

Version-Release number of selected component:
gnome-control-center-3.32.2-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: passwd_authenticate
executable:     /usr/bin/gnome-control-center
journald_cursor: s=fa39292556f343be954435be6541c7c3;i=74b59;b=627266a61799412f8b7088f9e83ac8f1;m=7dcedce;t=58ed5b1b41066;x=16a8d44531723ac3
kernel:         5.1.19-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 passwd_authenticate at ../panels/user-accounts/run-passwd.c:680
 #1 old_password_entry_timeout at ../panels/user-accounts/cc-password-dialog.c:369
 #2 old_password_entry_focus_out_cb at ../panels/user-accounts/cc-password-dialog.c:385
 #3 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:83
 #8 gtk_widget_event_internal at gtkwidget.c:7789
 #10 gtk_widget_send_focus_change at gtkwidget.c:16221
 #11 do_focus_change at gtkwindow.c:8447
 #12 gtk_window_real_set_focus at gtkwindow.c:8736
 #13 g_cclosure_marshal_VOID__OBJECTv at ../gobject/gmarshal.c:1910
 #14 _g_closure_invoke_va at ../gobject/gclosure.c:873

Comment 1 Mohamed Baig 2019-07-29 18:49:53 UTC
Created attachment 1594389 [details]
File: backtrace

Comment 2 Mohamed Baig 2019-07-29 18:49:54 UTC
Created attachment 1594390 [details]
File: cgroup

Comment 3 Mohamed Baig 2019-07-29 18:49:55 UTC
Created attachment 1594391 [details]
File: core_backtrace

Comment 4 Mohamed Baig 2019-07-29 18:49:56 UTC
Created attachment 1594392 [details]
File: cpuinfo

Comment 5 Mohamed Baig 2019-07-29 18:49:57 UTC
Created attachment 1594393 [details]
File: dso_list

Comment 6 Mohamed Baig 2019-07-29 18:49:58 UTC
Created attachment 1594394 [details]
File: environ

Comment 7 Mohamed Baig 2019-07-29 18:49:59 UTC
Created attachment 1594395 [details]
File: exploitable

Comment 8 Mohamed Baig 2019-07-29 18:50:00 UTC
Created attachment 1594396 [details]
File: limits

Comment 9 Mohamed Baig 2019-07-29 18:50:01 UTC
Created attachment 1594397 [details]
File: maps

Comment 10 Mohamed Baig 2019-07-29 18:50:02 UTC
Created attachment 1594398 [details]
File: mountinfo

Comment 11 Mohamed Baig 2019-07-29 18:50:03 UTC
Created attachment 1594399 [details]
File: open_fds

Comment 12 Mohamed Baig 2019-07-29 18:50:05 UTC
Created attachment 1594400 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2020-04-30 21:27:53 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2020-05-26 16:21:51 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.